Package Details: pokerth 1.1.2-11

Git Clone URL: https://aur.archlinux.org/pokerth.git (read-only)
Package Base: pokerth
Description: Client to online Poker game written in C++/QT
Upstream URL: http://www.pokerth.net/
Licenses: GPL, custom
Submitter: blacktav
Maintainer: blacktav
Last Packager: blacktav
Votes: 8
Popularity: 0.69
First Submitted: 2018-01-08 23:25
Last Updated: 2019-10-29 18:03

Latest Comments

1 2 Next › Last »

blacktav commented on 2019-10-29 17:52

Thanks to xx55tt we are back on the road

Release 11 requires latest boost

xx55tt commented on 2019-10-29 15:02

No need to downgrade boost, just apply this patch for websocketpp to fix the build issues: https://pastebin.com/QZG7TXaa

The patch is based on commits cherry-picked from here: https://github.com/zaphoyd/websocketpp/pull/814

ArnaudNux commented on 2019-10-22 22:28

/usr/include/c++/9.2.0/bits/unordered_set.h:1715:5: note: candidate: 'template<class _Value, class _Hash, class _Pred, class _Alloc> bool std::operator==(const std::unordered_multiset<Value, _Hash, _Pred, _Alloc>&, const std::unordered_multiset<_Value, _Hash, _Pred, _Alloc>&)' 1715 | operator==(const unordered_multiset<_Value, _Hash, _Pred, _Alloc>& __x, | ^~~~~~~~ /usr/include/c++/9.2.0/bits/unordered_set.h:1715:5: note: template argument deduction/substitution failed: In file included from /usr/include/boost/asio/executor.hpp:338, from /usr/include/boost/asio/basic_socket.hpp:27, from /usr/include/boost/asio/basic_datagram_socket.hpp:20, from /usr/include/boost/asio.hpp:24, from src/net/chatcleanermanager.h:36, from src/net/common/chatcleanermanager.cpp:32: /usr/include/boost/asio/impl/executor.hpp:218:22: note: 'const std::reference_wrapper<boost::asio::io_context>' is not derived from 'const std::unordered_multiset<_Value, _Hash, _Pred, _Alloc>' 218 | return executor == static_cast<const Executor*>(e->target()); | ~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ make[1]: [Makefile.pokerth_lib:1439: obj/chatcleanermanager.o] Error 1 make[1]: Waiting for unfinished jobs.... make[1]: Leaving directory '/home/arnaud/pokerth/src/pokerth-1.1.2-rc' make: ** [Makefile:105: sub-pokerth_lib-pro-make_first-ordered] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

fungalnet commented on 2019-10-20 10:43

TU edit: do not downgrade boost on a live system unless you want to break it. Build it in a clean chroot with boost1.69.

I tried building with boost1.69 and it didn't work, it only works with boost (1.69). After it builds it runs fine with boost1.69-libs.

fungalnet commented on 2019-10-19 14:35

https://www.reddit.com/r/archlinux/comments/djm40e/aurpokerth_not_building_with_boostboostlibs_17102/

Basically revert both boost and boost-libs from 1.71 to 1.69 (from your recent cache or arch-archives) and build pokerth. To run it you still need boost-libs 1.69

Upgrade boost and boost-libs back to 1.71 and "then" also install boost1.69-libs a separate package, pokerth 1.29 runs fine then.


TU edit: do not downgrade boost on a live system unless you want to break it. Build it in a clean chroot with boost1.69.

blacktav commented on 2019-10-18 18:41

Indeed, seems to a problem with boost itself Sorry, no quick fix in sight

FichteFoll commented on 2019-10-17 23:41

Doesn't build currently because of some error with boost.

blacktav commented on 2018-08-07 22:26

bumped release to trigger rebuild with new protobuf

blacktav commented on 2018-08-07 12:32

dependency issue with libprotobuf

tilt commented on 2018-07-02 20:54

Thanks @blacktav: I managed to compile pokerth with no further errors :) I deleted my git folder and make a fresh git pull of the repo; then I made a makepkg -sic and the package was finally fine ;)

You've been very kind, thank you again!